summaryrefslogtreecommitdiffstats
path: root/system/gpsd
diff options
context:
space:
mode:
author David Spencer2010-05-12 17:45:19 +0200
committer David Somero2010-05-12 17:45:19 +0200
commit027619cb6e799b12ce526ab716c9aa504a49f8e8 (patch)
tree454a5ca26f02cbdf4a24c464a74baf219ccf8023 /system/gpsd
parent4198a2085216457345e809158eb7c3b0c3312df3 (diff)
downloadslackbuilds-027619cb6e799b12ce526ab716c9aa504a49f8e8.tar.gz
system/gpsd: Updated for version 2.39
Diffstat (limited to 'system/gpsd')
-rw-r--r--system/gpsd/README58
-rw-r--r--system/gpsd/gpsd.SlackBuild29
-rw-r--r--system/gpsd/gpsd.info8
3 files changed, 87 insertions, 8 deletions
diff --git a/system/gpsd/README b/system/gpsd/README
index fac06c604d..80b0737248 100644
--- a/system/gpsd/README
+++ b/system/gpsd/README
@@ -7,3 +7,61 @@ GPSes without contention or loss of data.
Applications that presently use gpsd include pyGPS, Kismet, GPSdrive,
gpeGPS, position, roadmap, roadnav, and gaia.
+
+
+Enabling and disabling devices and features
+-------------------------------------------
+
+Support for various devices and features may be enabled
+and/or disabled by setting the variables ENABLE and DISABLE
+before running gpsd.SlackBuild, for example
+
+ENABLE=garmintxt DISABLE="garmin dbus" ./gpsd.SlackBuild
+
+
+The following devices and features may be enabled
+(by default they are disabled).
+
+ garmintxt enable Garmin Simple Text support
+ tnt enable True North Technologies support
+ oceanserver enable OceanServer support
+ profiling enable profiling support
+ pps-on-cts Enable PPS pulse on CTS rather than DCD
+ gpsd-user=username
+ GPSD privilege revokation user (default 'nobody')
+ fixed-port-speed=nnn
+ compile with fixed serial port speed
+ max-clients=nnn
+ compile with limited maximum clients
+ max-devices=nnn
+ compile with maximum allowed devices
+ squelch squelch gpsd_report and gpsd_hexdump to save cpu
+
+
+The following devices and features may be disabled
+(by default they are enabled).
+
+ dbus disable DBUS support
+ nmea disable NMEA support
+ sirf disable SiRF chipset support
+ superstar2 disable SuperStarII chipset support
+ tsip disable Trimble TSIP support
+ fv18 disable San Jose Navigation FV-18 support
+ tripmate disable DeLorme TripMate support
+ earthmate disable DeLorme EarthMate Zodiac support
+ itrax disable iTrax hardware support
+ ashtech disable Ashtech support
+ navcom disable Navcom support
+ garmin disable Garmin kernel driver support
+ ubx disable UBX Protocol support
+ evermore disable EverMore binary support
+ mkt3301 disable MKT-3301 support
+ gpsclock disable GPSClock support
+ rtcm104v2 disable rtcm104v2 support
+ rtcm104v3 disable rtcm104v3 support
+ ntrip disable NTRIP support
+ aivdm disable Aivdm support
+ ntpshm disable NTP time hinting support
+ pps disable PPS time syncing support
+ reconfigure do not allow gpsd to change device settings
+ controlsend do not allow gpsd to change device settings
diff --git a/system/gpsd/gpsd.SlackBuild b/system/gpsd/gpsd.SlackBuild
index b1e692e046..a534478e73 100644
--- a/system/gpsd/gpsd.SlackBuild
+++ b/system/gpsd/gpsd.SlackBuild
@@ -6,7 +6,7 @@
set -e
PRGNAM=gpsd
-VERSION=2.34
+VERSION=2.39
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,30 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+ENABLELIST=""
+set -- $ENABLE
+while [[ "$1" != "" ]]
+do
+ ENABLELIST+=" --enable-$1"
+ shift
+done
+DISABLELIST=""
+set -- $DISABLE
+while [[ "$1" != "" ]]
+do
+ DISABLELIST+=" --disable-$1"
+ shift
+done
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -34,12 +54,13 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --enable-itrax \
- --enable-tnt \
- --enable-dbus
+ --enable-dbus \
+ $ENABLELIST \
+ $DISABLELIST || exit 1
make
make install-strip DESTDIR=$PKG
diff --git a/system/gpsd/gpsd.info b/system/gpsd/gpsd.info
index 9a05634163..03a3fa2508 100644
--- a/system/gpsd/gpsd.info
+++ b/system/gpsd/gpsd.info
@@ -1,8 +1,8 @@
PRGNAM="gpsd"
-VERSION="2.34"
+VERSION="2.39"
HOMEPAGE="http://gpsd.berlios.de/"
-DOWNLOAD="http://download.berlios.de/gpsd/gpsd-2.34.tar.gz"
-MD5SUM="1ad07e10f34e46ffdaf10688743f2f43"
+DOWNLOAD="http://download.berlios.de/gpsd/gpsd-2.39.tar.gz"
+MD5SUM="3db437196a6840c252fca99b6c19d4d0"
MAINTAINER="David Spencer"
EMAIL="nobbutl@yahoo.co.uk"
-APPROVED="rworkman"
+APPROVED="dsomero"